/**
 * explain: 这是协销用户业务的服务
 * Author: zhjy
 * Time: 2020-09-24
 */
export default class SellerService {
	constructor(AjaxService) {
		Object.assign(this, {
			AjaxService
		})
		this.name = 'SellerService'
	}
	/**
	 *@下单商品列表
	 *@param organizeId 组织id
	 *@param pageNum 页码
	 *@param pageSize 每页显示多少
	 *@param productName 商品名称
	 */
	GoodList(data = {}) {
		return this.AjaxService.get({
			url: '/product/list',
			data,
			isLoading: true
		})
	}
	
	/**
	 *@下单商品列表
	 *@param userId 用户id
	 */
	CartQuantity(data = {}) {
		return this.AjaxService.get({
			url: '/shopping/quantity',
			data,
			isLoading: true
		})
	}
	
	/**
	 *@协销登录
	 *@param mobile 手机号
	 *@param password 密码
	 */
	SellerLogin(data = {}) {
		return this.AjaxService.post({
			url: '/seller/login',
			data,
			isLoading: true
		})
	}
	/**
	 *@协销账户中心
	 *@param userID 协销ID
	 */
	GetSellerHome(data = {}) {
		return this.AjaxService.get({
			url: '/seller/home',
			data,
			isLoading: true
		})
	}
	/**
	 *@协销拉机构上线
	 *@param userID 协销ID
	 */
	SellerClubRegister(data = {}) {
		return this.AjaxService.post({
			url: '/seller/club/register',
			data,
			isLoading: true
		})
	}
	/**
	 *@协销拉机构上线检测手机号和邮箱
	 *@param mobileOrEmail 手机号和邮箱
	 */
	SellerClubCheck(data = {}) {
		return this.AjaxService.post({
			url: '/seller/club/check',
			data,
			isLoading: true
		})
	}
	/**
	 *@协销机构列表
	 *@param name 	  机构名字关键字（搜索用）
	 *@param pageNum  页码
	 *@param pageSize 条数
	 *@param spId 	  协销ID
	 *@param status   机构状态
	 */
	GetSellerClubList(data = {}) {
		return this.AjaxService.get({
			// url: '/product/clubList',
			url: '/product/storeList',
			data,
			isLoading: true
		})
	}
	/**
	 *@协销下机构订单列表
	 *@param clubID   机构ID
	 *@param pageNum  页码
	 *@param pageSize 条数
	 */
	GetSellerClubOrderList(data = {}) {
		return this.AjaxService.get({
			url: '/seller/clubOrder',
			data,
			isLoading: true
		})
	}
	/**
	 *@协销帮机构下单组合商品搜索
	 *@param clubUserId 机构的userID
	 *@param pageNum 	页码
	 *@param pageSize 	条数
	 *@param searchWord 搜索关键词
	 */
	GetCombinationProduct(data = {}) {
		return this.AjaxService.get({
			url: '/seller/combinationProduct/search',
			data,
			isLoading: true
		})
	}
	/**
	 *@协销-二手下单商品列表
	 *@param 二手商品分类 secondHandType	1二手仪器，2临期产品，3其他  【必传】
	 *@param 二手仪器分类的类型 instrumentType	1轻光电、2重光电、3耗材配件【不传默认全部】
	 *@param 搜索关键词 searchKeyword	【选传】 
	 */
	GetOrderSecondHandProductList(data = {}) {
		return this.AjaxService.get({
			url: '/product/getOrderSecondHandProductList',
			data,
			isLoading: true
		})
	}
	/**
	 *@协销-二手去结算接口
	 *@param productId：商品ID（数字类型，必传）
	 *@param clubId：机构会所ID(同之前)
	 *@param serviceProviderId：协销ID(同之前)
	 *@param productCount:二手购买数量 
	 */
	GetSettlementBySencondProduct(data = {}) {
		return this.AjaxService.post({
			url: '/seller/settlementBySencondProduct',
			data,
			isLoading: true
		})
	}
	/**
	 *@组合商品加入购物车
	 *@param clubId 会所的ID
	 *@param serviceProviderId 协销ID
	 */
	ShoppingCartBatchAddCart(data = {}) {
		return this.AjaxService.post({
			url: '/seller/batchAddCart',
			data,
			isLoading: true
		})
	}
	/**
	 *@协销帮机构下单获取购物车数量
	 *@param clubId 会所的ID
	 *@param serviceProviderId 协销ID
	 */
	GetSellerProductNum(data = {}) {
		return this.AjaxService.get({
			url: '/seller/productNum',
			data,
			isLoading: false
		})
	}
}
