/**
 * 这是用户业务逻辑的服务
 */
export default class UserService {
	constructor(AjaxService) {
		Object.assign(this, {
			AjaxService
		})
		this.name = 'UserService'
	}
	/* 初始化授权登录 */
	userInfoLogin(data = {}) {
		return this.AjaxService.post({
			url: '/buyer/authorization',
			data,
			isLoading: false,
			isStatus: false
		})
	}
	/* 初始化个人中心数据 */
	userInfoPersonal(data = {}) {
		return this.AjaxService.get({
			url: '/buyer/personal',
			data,
			isLoading: false,
			isStatus: false
		})
	}

	/*维沙邀请码绑定*/
	userInvitation(data = {}) {
		return this.AjaxService.post({
			url: '/buyer/invitation/code',
			data,
			isLoading: false,
			isStatus: false
		})
	}
	/**
	 * @地址列表查询
	 * @param:userId 用户ID(必传)，
	 * @param:pageNum 页码
	 * @param:pageSize 每页条数
	 */
	QueryAddressList(data = {}) {
		return this.AjaxService.get({
			url: '/other/findAddress',
			data,
			isLoading: true
		})
	}
	/**
	 * @添加&&修改地址
	 */
	AddNewAddress(data = {}) {
		return this.AjaxService.post({
			url: '/other/saveAddress',
			data,
			isLoading: true
		})
	}
	/**
	 * @删除地址
	 * @param:addressId 地址ID，，
	 */
	DeleteNewAddress(data = {}) {
		return this.AjaxService.get({
			url: '/other/deleteAddress',
			data,
			isLoading: true
		})
	}
	/**
	 * @设置默认地址
	 * @param:userId 用户ID(必传)，
	 * @param:addressId 地址ID，
	 */
	DefaultAddress(data = {}) {
		return this.AjaxService.get({
			url: '/other/defaultAddress',
			data,
			isLoading: false
		})
	}
	/**
	 * @机构-获取账户余额明细
	 * @param:userId 用户ID(必传)，
	 */
	GetAccountInfo (data = {}) {
		return this.AjaxService.get({ 
			url:'/personalCenter/touchBalance', 
			data, 
			isLoading: true ,
		})
	}
}
